Bug 116596 - nroff script hangs when building man page.
nroff script hangs when building man page.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks: 116319
  Show dependency treegraph
 
Reported: 2004-02-23 12:19 EST by Mark Lane
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-25 06:06:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Lane 2004-02-23 12:19:06 EST
Description of problem:
While attempting to rebuilding the cups-1.1.20-4 SRPM, I was unable to
complete the build because nroff was hanging when building the
backend.1 manpage.

/usr/bin/nroff -man backend.man >backend.1

Version-Release number of selected component (if applicable):

groff-1.18.1-30

How reproducible:
I can go into the build directory of the SRPM and run the command by
hand and get the same error every time.


Steps to Reproduce:
1. I ran rpmbuild -ba cups.spec
  
Actual results:
the nroff process would suppend and not complete the manpage holding
up the rpmbuild.

Expected results:
rpmbuild works fine.

Additional info:

ran strace -f on the exact command line that hands and produced this
output. I used control-c to stop the process after a minute or so.

strace -f /usr/bin/nroff -man backend.man >backend.1

execve("/usr/bin/nroff", ["/usr/bin/nroff", "-man", "backend.man"],
[/* 27 vars */]) = 0
uname({sys="Linux", node="skip.harddata.net", ...}) = 0
brk(0)                                  = 0x5b3000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a9556a000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a9556b000
close(3)                                = 0
open("/lib64/libtermcap.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\23\0"...,
640) = 640
fstat(3, {st_mode=S_IFREG|0755, st_size=14912, ...}) = 0
mmap(NULL, 1061840, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x2a95658000
mprotect(0x2a9565b000, 1049552, PROT_NONE) = 0
mmap(0x2a95758000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0) = 0x2a95758000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \33\0\0"...,
640) = 640
fstat(3, {st_mode=S_IFREG|0755, st_size=1061424, ...}) = 0
mmap(NULL, 1052936, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x2a9575c000
mprotect(0x2a9575f000, 1040648, PROT_NONE) = 0
mmap(0x2a9585c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x100000) = 0x2a9585c000
close(3)                                = 0
open("/lib64/tls/libc.so.6", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\315\1\0"...,
640) = 640
lseek(3, 624, SEEK_SET)                 = 624
read(3, "\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"...,
32) = 32
fstat(3, {st_mode=S_IFREG|0755, st_size=2479360, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a9585e000
mmap(NULL, 2137864, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x2a9585f000
mprotect(0x2a9599b000, 843528, PROT_NONE) = 0
mmap(0x2a95a5f000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x200000) = 0x2a95a5f000
mmap(0x2a95a65000, 16136, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a95a65000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a95a69000
mprotect(0x2a95a5f000, 16384, PROT_READ) = 0
mprotect(0x2a9585c000, 4096, PROT_READ) = 0
mprotect(0x2a95656000, 4096, PROT_READ) = 0
arch_prctl(0x1002, 0x2a95a690a0)        = 0
munmap(0x2a9556b000, 123613)            = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK)     = 3
close(3)                                = 0
brk(0)                                  = 0x5b3000
brk(0x5d4000)                           = 0x5d4000
brk(0)                                  = 0x5d4000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=40112176, ...}) = 0
mmap(NULL, 40112176, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a95a6a000
close(3)                                = 0
getuid()                                = 0
getgid()                                = 0
geteuid()                               = 0
getegid()                               = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/etc/mtab", O_RDONLY)             = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=327, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a980ac000
read(3, "/dev/hdc8 / ext3 rw 0 0\nnone /pr"..., 4096) = 327
close(3)                                = 0
munmap(0x2a980ac000, 4096)              = 0
open("/proc/meminfo", O_RDONLY)         = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a980ac000
read(3, "MemTotal:      1023860 kB\nMemFre"..., 1024) = 574
close(3)                                = 0
munmap(0x2a980ac000, 4096)              = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="skip.harddata.net", ...}) = 0
stat("/usr/src/redhat/BUILD/cups-1.1.20/man", {st_mode=S_IFDIR|0755,
st_size=4096, ...}) = 0
stat(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
getpid()                                = 8646
getppid()                               = 8645
getpgrp()                               = 8645
rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/lib64/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=21438, ...}) = 0
mmap(NULL, 21438, PROT_READ, MAP_SHARED, 3, 0) = 0x2a980ac000
close(3)                                = 0
open("/root/.bashrc", O_RDONLY)         = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=176, ...}) = 0
read(3, "# .bashrc\n\n# User specific alias"..., 176) = 176
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat("/etc/bashrc", {st_mode=S_IFREG|0644, st_size=1171, ...}) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
stat("/etc/bashrc", {st_mode=S_IFREG|0644, st_size=1171, ...}) = 0
open("/etc/bashrc", O_RDONLY)           = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=1171, ...}) = 0
read(3, "# /etc/bashrc\n\n# System wide fun"..., 1171) = 1171
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 8647 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8647
[pid  8647] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8647] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8647] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8647] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8647] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8647] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid  8647] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8647] rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000},
{SIG_DFL}, 8) = 0
[pid  8647] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {SIG_DFL},
8) = 0
[pid  8647] dup2(4, 1)                  = 1
[pid  8647] close(4)                    = 0
[pid  8647] close(3)                    = 0
[pid  8647] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8647] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8647] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8647] stat(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  8647] stat("/usr/kerberos/sbin/id", 0xbfffea60) = -1 ENOENT (No
such file or directory)
[pid  8647] stat("/usr/kerberos/bin/id", 0xbfffea60) = -1 ENOENT (No
such file or directory)
[pid  8647] stat("/usr/local/sbin/id", 0xbfffea60) = -1 ENOENT (No
such file or directory)
[pid  8647] stat("/usr/local/bin/id", 0xbfffea60) = -1 ENOENT (No such
file or directory)
[pid  8647] stat("/sbin/id", 0xbfffea60) = -1 ENOENT (No such file or
directory)
[pid  8647] stat("/bin/id",  <unfinished ...>
[pid  8646] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid  8647] <... stat resumed> 0xbfffea60) = -1 ENOENT (No such file
or directory)
[pid  8646] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid  8646] rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000},
{0x430330, [], 0x4000000}, 8) = 0
[pid  8646] close(4)                    = 0
[pid  8646] read(3,  <unfinished ...>
[pid  8647] stat("/usr/sbin/id", 0xbfffea60) = -1 ENOENT (No such file
or directory)
[pid  8647] stat("/usr/bin/id", {st_mode=S_IFREG|0755, st_size=20560,
...}) = 0
[pid  8647] stat("/usr/bin/id", {st_mode=S_IFREG|0755, st_size=20560,
...}) = 0
[pid  8647] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid  8647] clone(Process 8648 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8648
[pid  8648] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8648] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8648] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8648] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8648] rt_sigaction(SIGINT, {SIG_DFL}, {0x43d7b0, [], 0x4000000},
8) = 0
[pid  8648] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8648] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8648] execve("/usr/bin/id", ["id", "-gn"], [/* 26 vars */]) = 0
[pid  8648] uname({sys="Linux", node="skip.harddata.net", ...}) = 0
[pid  8648] brk(0)                      = 0x505000
[pid  8648] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9556a000
[pid  8648] open("/etc/ld.so.preload", O_RDONLY) = -1 ENOENT (No such
file or directory)
[pid  8648] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8648] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8648] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9556b000
[pid  8648] close(3)                    = 0
[pid  8648] open("/lib64/libselinux.so.1", O_RDONLY) = 3
[pid  8648] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\3001\0\0"..., 640) = 640
[pid  8648] fstat(3, {st_mode=S_IFREG|0755, st_size=38568, ...}) = 0
[pid  8648] mmap(NULL, 1085328, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95658000
[pid  8648] mprotect(0x2a95660000, 1052560, PROT_NONE) = 0
[pid  8648] mmap(0x2a95758000, 36864, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0) = 0x2a95758000
[pid  8648] close(3)                    = 0
[pid  8648] open("/lib64/tls/libc.so.6", O_RDONLY) = 3
[pid  8648] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\315\1\0"..., 640) = 640
[pid  8648] lseek(3, 624, SEEK_SET)     = 624
[pid  8648] read(3,
"\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"..., 32) = 32
[pid  8648] fstat(3, {st_mode=S_IFREG|0755, st_size=2479360, ...}) = 0
[pid  8648] mmap(NULL, 2137864, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95761000
[pid  8648] mprotect(0x2a9589d000, 843528, PROT_NONE) = 0
[pid  8648] mmap(0x2a95961000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x200000) = 0x2a95961000
[pid  8648] mmap(0x2a95967000, 16136, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a95967000
[pid  8648] close(3)                    = 0
[pid  8648] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9596b000
[pid  8648] mprotect(0x2a95961000, 16384, PROT_READ) = 0
[pid  8648] mprotect(0x2a95656000, 4096, PROT_READ) = 0
[pid  8648] arch_prctl(0x1002, 0x2a9596b740) = 0
[pid  8648] munmap(0x2a9556b000, 123613) = 0
[pid  8648] open("/proc/mounts", O_RDONLY) = 3
[pid  8648] brk(0)                      = 0x505000
[pid  8648] brk(0x527000)               = 0x527000
[pid  8648] read(3, "rootfs / rootfs rw 0 0\n/dev/root"..., 4095) = 392
[pid  8648] brk(0x526000)               = 0x526000
[pid  8648] close(3)                    = 0
[pid  8648] open("/proc/filesystems", O_RDONLY) = 3
[pid  8648] read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095)
= 221
[pid  8648] close(3)                    = 0
[pid  8648] open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
[pid  8648] fstat(3, {st_mode=S_IFREG|0644, st_size=40112176, ...}) = 0
[pid  8648] mmap(NULL, 40112176, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9596c000
[pid  8648] close(3)                    = 0
[pid  8648] geteuid()                   = 0
[pid  8648] getuid()                    = 0
[pid  8648] getegid()                   = 0
[pid  8648] getgid()                    = 0
[pid  8648] socket(PF_UNIX, SOCK_STREAM, 0) = 3
[pid  8648] connect(3, {sa_family=AF_UNIX,
path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
[pid  8648] close(3)                    = 0
[pid  8648] open("/etc/nsswitch.conf", O_RDONLY) = 3
[pid  8648] fstat(3, {st_mode=S_IFREG|0644, st_size=1686, ...}) = 0
[pid  8648] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8648] read(3, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1686
[pid  8648] read(3, "", 4096)           = 0
[pid  8648] close(3)                    = 0
[pid  8648] munmap(0x2a97fae000, 4096)  = 0
[pid  8648] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8648] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8648] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a97fae000
[pid  8648] close(3)                    = 0
[pid  8648] open("/lib64/libnss_files.so.2", O_RDONLY) = 3
[pid  8648] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@#\0\0\0"..., 640) = 640
[pid  8648] fstat(3, {st_mode=S_IFREG|0755, st_size=1065736, ...}) = 0
[pid  8648] mmap(NULL, 1054024, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a97fcd000
[pid  8648] mprotect(0x2a97fd8000, 1008968, PROT_NONE) = 0
[pid  8648] mmap(0x2a980cd000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x100000) = 0x2a980cd000
[pid  8648] close(3)                    = 0
[pid  8648] mprotect(0x2a980cd000, 4096, PROT_READ) = 0
[pid  8648] munmap(0x2a97fae000, 123613) = 0
[pid  8648] open("/etc/group", O_RDONLY) = 3
[pid  8648] fcntl(3, F_GETFD)           = 0
[pid  8648] fcntl(3, F_SETFD, FD_CLOEXEC) = 0
[pid  8648] fstat(3, {st_mode=S_IFREG|0644, st_size=754, ...}) = 0
[pid  8648] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8648] read(3, "root:x:0:root\nbin:x:1:root,bin,d"..., 4096) = 754
[pid  8648] close(3)                    = 0
[pid  8648] munmap(0x2a97fae000, 4096)  = 0
[pid  8648] fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid  8648] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8648] write(1, "root\n", 5 <unfinished ...>
[pid  8646] <... read resumed> "root\n", 128) = 5
[pid  8646] read(3,  <unfinished ...>
[pid  8648] <... write resumed> )       = 5
[pid  8648] close(1)                    = 0
[pid  8648] munmap(0x2a97fae000, 4096)  = 0
[pid  8648] exit_group(0)               = ?
Process 8648 detached
[pid  8647] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8647] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid  8647] wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], WNOHANG,
NULL) = 8648
[pid  8647] wait4(-1, 0xbfffe864, WNOHANG, NULL) = -1 ECHILD (No child
processes)
[pid  8647] rt_sigreturn(0xffffffffffffffff) = 0
[pid  8647] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8647] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8647] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8647] rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {0x43d7b0,
[], 0x4000000}, 8) = 0
[pid  8647] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8647] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {0x42f4a0,
[], 0x4000000}, 8) = 0
[pid  8647] exit_group(0)               = ?
Process 8647 detached
<... read resumed> "", 128)             = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {SIG_DFL}, 8) = 0
wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], 0, NULL) = 8647
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, 0xbfffe9f4, WNOHANG, NULL)    = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x42f4a0, [], 0x4000000}, 8) = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 8649 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8649
[pid  8649] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8649] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8649] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8649] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8649] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8649] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid  8649] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8649] rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000},
{SIG_DFL}, 8) = 0
[pid  8649] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {SIG_DFL},
8) = 0
[pid  8649] dup2(4, 1 <unfinished ...>
[pid  8646] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid  8649] <... dup2 resumed> )        = 1
[pid  8646] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid  8649] close(4 <unfinished ...>
[pid  8646] rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000},
{0x430330, [], 0x4000000}, 8) = 0
[pid  8646] close(4)                    = 0
[pid  8646] read(3,  <unfinished ...>
[pid  8649] <... close resumed> )       = 0
[pid  8649] close(3)                    = 0
[pid  8649] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8649] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8649] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8649] stat(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  8649] stat("/usr/kerberos/sbin/id", 0xbfffea60) = -1 ENOENT (No
such file or directory)
[pid  8649] stat("/usr/kerberos/bin/id", 0xbfffea60) = -1 ENOENT (No
such file or directory)
[pid  8649] stat("/usr/local/sbin/id", 0xbfffea60) = -1 ENOENT (No
such file or directory)
[pid  8649] stat("/usr/local/bin/id", 0xbfffea60) = -1 ENOENT (No such
file or directory)
[pid  8649] stat("/sbin/id", 0xbfffea60) = -1 ENOENT (No such file or
directory)
[pid  8649] stat("/bin/id", 0xbfffea60) = -1 ENOENT (No such file or
directory)
[pid  8649] stat("/usr/sbin/id", 0xbfffea60) = -1 ENOENT (No such file
or directory)
[pid  8649] stat("/usr/bin/id", {st_mode=S_IFREG|0755, st_size=20560,
...}) = 0
[pid  8649] stat("/usr/bin/id", {st_mode=S_IFREG|0755, st_size=20560,
...}) = 0
[pid  8649] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid  8649] clone(Process 8650 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8650
[pid  8650] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8650] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8650] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8650] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8650] rt_sigaction(SIGINT, {SIG_DFL}, {0x43d7b0, [], 0x4000000},
8) = 0
[pid  8650] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8650] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8650] execve("/usr/bin/id", ["id", "-un"], [/* 26 vars */]) = 0
[pid  8650] uname({sys="Linux", node="skip.harddata.net", ...}) = 0
[pid  8650] brk(0)                      = 0x505000
[pid  8650] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9556a000
[pid  8650] open("/etc/ld.so.preload", O_RDONLY) = -1 ENOENT (No such
file or directory)
[pid  8650] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8650] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8650] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9556b000
[pid  8650] close(3)                    = 0
[pid  8650] open("/lib64/libselinux.so.1", O_RDONLY) = 3
[pid  8650] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\3001\0\0"..., 640) = 640
[pid  8650] fstat(3, {st_mode=S_IFREG|0755, st_size=38568, ...}) = 0
[pid  8650] mmap(NULL, 1085328, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95658000
[pid  8650] mprotect(0x2a95660000, 1052560, PROT_NONE) = 0
[pid  8650] mmap(0x2a95758000, 36864, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0) = 0x2a95758000
[pid  8650] close(3)                    = 0
[pid  8650] open("/lib64/tls/libc.so.6", O_RDONLY) = 3
[pid  8650] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\315\1\0"..., 640) = 640
[pid  8650] lseek(3, 624, SEEK_SET)     = 624
[pid  8650] read(3,
"\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"..., 32) = 32
[pid  8650] fstat(3, {st_mode=S_IFREG|0755, st_size=2479360, ...}) = 0
[pid  8650] mmap(NULL, 2137864, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95761000
[pid  8650] mprotect(0x2a9589d000, 843528, PROT_NONE) = 0
[pid  8650] mmap(0x2a95961000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x200000) = 0x2a95961000
[pid  8650] mmap(0x2a95967000, 16136, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a95967000
[pid  8650] close(3)                    = 0
[pid  8650] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9596b000
[pid  8650] mprotect(0x2a95961000, 16384, PROT_READ) = 0
[pid  8650] mprotect(0x2a95656000, 4096, PROT_READ) = 0
[pid  8650] arch_prctl(0x1002, 0x2a9596b740) = 0
[pid  8650] munmap(0x2a9556b000, 123613) = 0
[pid  8650] open("/proc/mounts", O_RDONLY) = 3
[pid  8650] brk(0)                      = 0x505000
[pid  8650] brk(0x527000)               = 0x527000
[pid  8650] read(3, "rootfs / rootfs rw 0 0\n/dev/root"..., 4095) = 392
[pid  8650] brk(0x526000)               = 0x526000
[pid  8650] close(3)                    = 0
[pid  8650] open("/proc/filesystems", O_RDONLY) = 3
[pid  8650] read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095)
= 221
[pid  8650] close(3)                    = 0
[pid  8650] open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
[pid  8650] fstat(3, {st_mode=S_IFREG|0644, st_size=40112176, ...}) = 0
[pid  8650] mmap(NULL, 40112176, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9596c000
[pid  8650] close(3)                    = 0
[pid  8650] geteuid()                   = 0
[pid  8650] getuid()                    = 0
[pid  8650] getegid()                   = 0
[pid  8650] getgid()                    = 0
[pid  8650] socket(PF_UNIX, SOCK_STREAM, 0) = 3
[pid  8650] connect(3, {sa_family=AF_UNIX,
path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
[pid  8650] close(3)                    = 0
[pid  8650] open("/etc/nsswitch.conf", O_RDONLY) = 3
[pid  8650] fstat(3, {st_mode=S_IFREG|0644, st_size=1686, ...}) = 0
[pid  8650] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8650] read(3, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1686
[pid  8650] read(3, "", 4096)           = 0
[pid  8650] close(3)                    = 0
[pid  8650] munmap(0x2a97fae000, 4096)  = 0
[pid  8650] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8650] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8650] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a97fae000
[pid  8650] close(3)                    = 0
[pid  8650] open("/lib64/libnss_files.so.2", O_RDONLY) = 3
[pid  8650] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@#\0\0\0"..., 640) = 640
[pid  8650] fstat(3, {st_mode=S_IFREG|0755, st_size=1065736, ...}) = 0
[pid  8650] mmap(NULL, 1054024, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a97fcd000
[pid  8650] mprotect(0x2a97fd8000, 1008968, PROT_NONE) = 0
[pid  8650] mmap(0x2a980cd000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x100000) = 0x2a980cd000
[pid  8650] close(3)                    = 0
[pid  8650] mprotect(0x2a980cd000, 4096, PROT_READ) = 0
[pid  8650] munmap(0x2a97fae000, 123613) = 0
[pid  8650] open("/etc/passwd", O_RDONLY) = 3
[pid  8650] fcntl(3, F_GETFD)           = 0
[pid  8650] fcntl(3, F_SETFD, FD_CLOEXEC) = 0
[pid  8650] fstat(3, {st_mode=S_IFREG|0644, st_size=2045, ...}) = 0
[pid  8650] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8650] read(3, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 2045
[pid  8650] close(3)                    = 0
[pid  8650] munmap(0x2a97fae000, 4096)  = 0
[pid  8650] fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid  8650] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8650] write(1, "root\n", 5 <unfinished ...>
[pid  8646] <... read resumed> "root\n", 128) = 5
[pid  8646] read(3,  <unfinished ...>
[pid  8650] <... write resumed> )       = 5
[pid  8650] close(1)                    = 0
[pid  8650] munmap(0x2a97fae000, 4096)  = 0
[pid  8650] exit_group(0)               = ?
Process 8650 detached
[pid  8649] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8649] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid  8649] wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], WNOHANG,
NULL) = 8650
[pid  8649] wait4(-1, 0xbfffe864, WNOHANG, NULL) = -1 ECHILD (No child
processes)
[pid  8649] rt_sigreturn(0xffffffffffffffff) = 0
[pid  8649] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8649] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8649] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8649] rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {0x43d7b0,
[], 0x4000000}, 8) = 0
[pid  8649] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8649] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {0x42f4a0,
[], 0x4000000}, 8) = 0
[pid  8649] exit_group(0)               = ?
Process 8649 detached
<... read resumed> "", 128)             = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {SIG_DFL}, 8) = 0
wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], 0, NULL) = 8649
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, 0xbfffe9f4, WNOHANG, NULL)    = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x42f4a0, [], 0x4000000}, 8) = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 8651 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8651
[pid  8651] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8651] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8651] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8651] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8651] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8651] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid  8651] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8651] rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000},
{SIG_DFL}, 8) = 0
[pid  8651] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {SIG_DFL},
8) = 0
[pid  8651] dup2(4, 1)                  = 1
[pid  8651] close(4)                    = 0
[pid  8651] close(3)                    = 0
[pid  8651] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8651] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8651] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8651] stat(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  8651] stat("/usr/kerberos/sbin/id", 0xbfffeb20) = -1 ENOENT (No
such file or directory)
[pid  8651] stat("/usr/kerberos/bin/id", 0xbfffeb20) = -1 ENOENT (No
such file or directory)
[pid  8651] stat("/usr/local/sbin/id", 0xbfffeb20) = -1 ENOENT (No
such file or directory)
[pid  8651] stat("/usr/local/bin/id", 0xbfffeb20) = -1 ENOENT (No such
file or directory)
[pid  8651] stat("/sbin/id", 0xbfffeb20) = -1 ENOENT (No such file or
directory)
[pid  8651] stat("/bin/id", 0xbfffeb20) = -1 ENOENT (No such file or
directory)
[pid  8651] stat("/usr/sbin/id", 0xbfffeb20) = -1 ENOENT (No such file
or directory)
[pid  8651] stat("/usr/bin/id", {st_mode=S_IFREG|0755, st_size=20560,
...}) = 0
[pid  8651] stat("/usr/bin/id", {st_mode=S_IFREG|0755, st_size=20560,
...}) = 0
[pid  8651] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid  8651] clone(Process 8652 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8652
[pid  8652] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8652] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8652] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8652] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8652] rt_sigaction(SIGINT, {SIG_DFL}, {0x43d7b0, [], 0x4000000},
8) = 0
[pid  8652] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8652] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8652] execve("/usr/bin/id", ["id", "-u"], [/* 26 vars */]) = 0
[pid  8652] uname({sys="Linux", node="skip.harddata.net", ...}) = 0
[pid  8652] brk(0)                      = 0x505000
[pid  8652] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9556a000
[pid  8652] open("/etc/ld.so.preload", O_RDONLY) = -1 ENOENT (No such
file or directory)
[pid  8652] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8652] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8652] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9556b000
[pid  8652] close(3)                    = 0
[pid  8652] open("/lib64/libselinux.so.1", O_RDONLY) = 3
[pid  8652] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\3001\0\0"..., 640) = 640
[pid  8652] fstat(3, {st_mode=S_IFREG|0755, st_size=38568, ...}) = 0
[pid  8652] mmap(NULL, 1085328, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95658000
[pid  8652] mprotect(0x2a95660000, 1052560, PROT_NONE) = 0
[pid  8652] mmap(0x2a95758000, 36864, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0) = 0x2a95758000
[pid  8652] close(3)                    = 0
[pid  8652] open("/lib64/tls/libc.so.6", O_RDONLY) = 3
[pid  8652] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\315\1\0"..., 640) = 640
[pid  8652] lseek(3, 624, SEEK_SET)     = 624
[pid  8652] read(3,
"\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"..., 32) = 32
[pid  8652] fstat(3, {st_mode=S_IFREG|0755, st_size=2479360, ...}) = 0
[pid  8652] mmap(NULL, 2137864, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95761000
[pid  8652] mprotect(0x2a9589d000, 843528, PROT_NONE) = 0
[pid  8652] mmap(0x2a95961000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x200000) = 0x2a95961000
[pid  8652] mmap(0x2a95967000, 16136, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a95967000
[pid  8652] close(3)                    = 0
[pid  8652] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9596b000
[pid  8652] mprotect(0x2a95961000, 16384, PROT_READ) = 0
[pid  8652] mprotect(0x2a95656000, 4096, PROT_READ) = 0
[pid  8652] arch_prctl(0x1002, 0x2a9596b740) = 0
[pid  8652] munmap(0x2a9556b000, 123613) = 0
[pid  8652] open("/proc/mounts", O_RDONLY) = 3
[pid  8652] brk(0)                      = 0x505000
[pid  8652] brk(0x527000)               = 0x527000
[pid  8652] read(3, "rootfs / rootfs rw 0 0\n/dev/root"..., 4095) = 392
[pid  8652] brk(0x526000)               = 0x526000
[pid  8652] close(3)                    = 0
[pid  8652] open("/proc/filesystems", O_RDONLY) = 3
[pid  8652] read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095)
= 221
[pid  8652] close(3)                    = 0
[pid  8652] open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
[pid  8652] fstat(3, {st_mode=S_IFREG|0644, st_size=40112176, ...}) = 0
[pid  8652] mmap(NULL, 40112176, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9596c000
[pid  8652] close(3)                    = 0
[pid  8652] geteuid()                   = 0
[pid  8652] getuid()                    = 0
[pid  8652] getegid()                   = 0
[pid  8652] getgid()                    = 0
[pid  8652] fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid  8652] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a97fae000
[pid  8652] write(1, "0\n", 2)          = 2
[pid  8652] close(1)                    = 0
[pid  8652] munmap(0x2a97fae000, 4096)  = 0
[pid  8652] exit_group(0)               = ?
Process 8652 detached
[pid  8651] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8651] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid  8651] wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], WNOHANG,
NULL) = 8652
[pid  8651] wait4(-1, 0xbfffe924, WNOHANG, NULL) = -1 ECHILD (No child
processes)
[pid  8651] rt_sigreturn(0xffffffffffffffff) = 0
[pid  8651] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8651] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8651] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8651] rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {0x43d7b0,
[], 0x4000000}, 8) = 0
[pid  8651] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8651] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {0x42f4a0,
[], 0x4000000}, 8) = 0
[pid  8651] exit_group(0)               = ?
Process 8651 detached
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], WNOHANG, NULL) = 8651
wait4(-1, 0xbfffeac4, WNOHANG, NULL)    = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000}, {0x430330, [],
0x4000000}, 8) = 0
close(4)                                = 0
read(3, "0\n", 128)                     = 2
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x42f4a0, [], 0x4000000}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
umask(022)                              = 022
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/bin/nroff", O_RDONLY)        = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbffff670) = -1 ENOTTY
(Inappropriate ioctl for device)
lseek(3, 0, SEEK_CUR)                   = 0
read(3, "#!/bin/bash\n# Emulate nroff with"..., 80) = 80
lseek(3, 0, SEEK_SET)                   = 0
getrlimit(0x7, 0xbffff6b0)              = 0
dup2(3, 255)                            = 255
close(3)                                = 0
fcntl(255, F_SETFD, FD_CLOEXEC)         = 0
fcntl(255, F_GETFL)                     = 0x8000 (flags
O_RDONLY|O_LARGEFILE|0x8000)
fstat(255, {st_mode=S_IFREG|0755, st_size=1424, ...}) = 0
lseek(255, 0, SEEK_CUR)                 = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/bash\n# Emulate nroff with"..., 1424) = 1424
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2528, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a980b2000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2528
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2a980b2000, 4096)              = 0
open("/usr/share/locale/en_CA.UTF-8/LC_MESSAGES/messages.mo",
O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_CA.utf8/LC_MESSAGES/messages.mo", O_RDONLY)
= -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_CA/LC_MESSAGES/messages.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/messages.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/messages.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/messages.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -584, SEEK_CUR)              = 840
clone(Process 8653 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8653
[pid  8653] close(255)                  = 0
[pid  8653] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8653] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8653] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8653] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8653] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8653] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid  8653] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8653] rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000},
{SIG_DFL}, 8) = 0
[pid  8653] rt_sigaction(SIGINT, {0x43d7b0, [], 0x4000000}, {SIG_DFL},
8) = 0
[pid  8653] dup2(4, 1)                  = 1
[pid  8653] close(4)                    = 0
[pid  8653] close(3)                    = 0
[pid  8653] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8653] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid  8653] stat(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  8653] stat("/usr/kerberos/sbin/mktemp", 0xbffff0a0) = -1 ENOENT
(No such file or directory)
[pid  8653] stat("/usr/kerberos/bin/mktemp", 0xbffff0a0) = -1 ENOENT
(No such file or directory)
[pid  8653] stat("/usr/local/sbin/mktemp", 0xbffff0a0) = -1 ENOENT (No
such file or directory)
[pid  8653] stat("/usr/local/bin/mktemp", 0xbffff0a0) = -1 ENOENT (No
such file or directory)
[pid  8653] stat("/sbin/mktemp", 0xbffff0a0) = -1 ENOENT (No such file
or directory)
[pid  8653] stat("/bin/mktemp", {st_mode=S_IFREG|0555, st_size=9744,
...}) = 0
[pid  8653] stat("/bin/mktemp", {st_mode=S_IFREG|0555, st_size=9744,
...}) = 0
[pid  8653] rt_sigaction(SIGINT, {SIG_DFL}, {0x43d7b0, [], 0x4000000},
8) = 0
[pid  8653] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8653] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8653] execve("/bin/mktemp", ["mktemp", "/tmp/man.XXXXXX"], [/*
26 vars */]) = 0
[pid  8653] uname({sys="Linux", node="skip.harddata.net", ...}) = 0
[pid  8653] brk(0)                      = 0x502000
[pid  8653] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9556a000
[pid  8653] open("/etc/ld.so.preload", O_RDONLY) = -1 ENOENT (No such
file or directory)
[pid  8653] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8653] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8653] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9556b000
[pid  8653] close(3)                    = 0
[pid  8653] open("/lib64/tls/libc.so.6", O_RDONLY) = 3
[pid  8653] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\315\1\0"..., 640) = 640
[pid  8653] lseek(3, 624, SEEK_SET)     = 624
[pid  8653] read(3,
"\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"..., 32) = 32
[pid  8653] fstat(3, {st_mode=S_IFREG|0755, st_size=2479360, ...}) = 0
[pid  8653] mmap(NULL, 2137864, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95658000
[pid  8653] mprotect(0x2a95794000, 843528, PROT_NONE) = 0
[pid  8653] mmap(0x2a95858000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x200000) = 0x2a95858000
[pid  8653] mmap(0x2a9585e000, 16136, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a9585e000
[pid  8653] close(3)                    = 0
[pid  8653] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a95862000
[pid  8653] mprotect(0x2a95858000, 16384, PROT_READ) = 0
[pid  8653] mprotect(0x2a95656000, 4096, PROT_READ) = 0
[pid  8653] arch_prctl(0x1002, 0x2a958624c0) = 0
[pid  8653] munmap(0x2a9556b000, 123613) = 0
[pid  8653] brk(0)                      = 0x502000
[pid  8653] brk(0x523000)               = 0x523000
[pid  8653] brk(0)                      = 0x523000
[pid  8653] getpid()                    = 8653
[pid  8653] open("/dev/urandom", O_RDONLY) = 3
[pid  8653] read(3, "y\223/\312", 4)    = 4
[pid  8653] close(3)                    = 0
[pid  8653] stat("/tmp", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=4096,
...}) = 0
[pid  8653] open("/tmp/man.xz8653", O_RDWR|O_CREAT|O_EXCL, 0600) = 3
[pid  8653] close(3)                    = 0
[pid  8653] fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid  8653] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9556b000
[pid  8653] write(1, "/tmp/man.xz8653\n", 16) = 16
[pid  8653] munmap(0x2a9556b000, 4096)  = 0
[pid  8653] exit_group(0)               = ?
Process 8653 detached
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [WIFEXITED(s) && WEXITSTATUS(s) == 0], WNOHANG, NULL) = 8653
wait4(-1, 0xbffff044, WNOHANG, NULL)    = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x430330, [], 0x4000000}, {0x430330, [],
0x4000000}, 8) = 0
close(4)                                = 0
read(3, "/tmp/man.xz8653\n", 128)       = 16
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x42f4a0, [], 0x4000000}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "trap \"rm -f $TMPFILE\" 0 1 2 3 15"..., 1424) = 584
rt_sigaction(SIGHUP, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGINT, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGILL, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGTRAP, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGABRT, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGFPE, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGBUS, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGSEGV, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGSYS, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGPIPE, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGALRM, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGTERM, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGXCPU, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGXFSZ, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGVTALRM, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGUSR1, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGUSR2, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS FPE USR1
SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000}, {SIG_DFL},
8) = 0
rt_sigaction(SIGHUP, {SIG_DFL}, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS
FPE USR1 SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000},
8) = 0
rt_sigaction(SIGHUP, {0x43d7b0, [], 0x4000000}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGHUP, {SIG_IGN}, {0x43d7b0, [], 0x4000000}, 8) = 0
rt_sigaction(SIGHUP, {0x43b6f0, [], 0x4000000}, {SIG_IGN}, 8) = 0
rt_sigaction(SIGINT, {SIG_IGN}, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS
FPE USR1 SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000},
8) = 0
rt_sigaction(SIGINT, {0x43b6f0, [], 0x4000000}, {SIG_IGN}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_IGN}, 8) = 0
rt_sigaction(SIGQUIT, {0x43b6f0, [], 0x4000000}, {SIG_IGN}, 8) = 0
rt_sigaction(SIGTERM, {SIG_DFL}, {0x43d7b0, [HUP INT ILL TRAP ABRT BUS
FPE USR1 SEGV USR2 PIPE ALRM TERM XCPU XFSZ VTALRM SYS], 0x4000000},
8) = 0
rt_sigaction(SIGTERM, {0x43d7b0, [], 0x4000000}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGTERM, {SIG_IGN}, {0x43d7b0, [], 0x4000000}, 8) = 0
rt_sigaction(SIGTERM, {0x43b6f0, [], 0x4000000}, {SIG_IGN}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/kerberos/sbin/cat", 0xbffff470) = -1 ENOENT (No such file
or directory)
stat("/usr/kerberos/bin/cat", 0xbffff470) = -1 ENOENT (No such file or
directory)
stat("/usr/local/sbin/cat", 0xbffff470) = -1 ENOENT (No such file or
directory)
stat("/usr/local/bin/cat", 0xbffff470)  = -1 ENOENT (No such file or
directory)
stat("/sbin/cat", 0xbffff470)           = -1 ENOENT (No such file or
directory)
stat("/bin/cat", {st_mode=S_IFREG|0755, st_size=19664, ...}) = 0
stat("/bin/cat", {st_mode=S_IFREG|0755, st_size=19664, ...}) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -533, SEEK_CUR)              = 891
clone(Process 8654 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a95a69130) = 8654
[pid  8654] close(255)                  = 0
[pid  8654] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8654] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8654] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8654] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  8654] rt_sigaction(SIGHUP, {0x43d7b0, [], 0x4000000}, {0x43b6f0,
[], 0x4000000}, 8) = 0
[pid  8654] rt_sigaction(SIGINT, {SIG_DFL}, {0x43b6f0, [], 0x4000000},
8) = 0
[pid  8654] rt_sigaction(SIGQUIT, {SIG_DFL}, {0x43b6f0, [],
0x4000000}, 8) = 0
[pid  8654] rt_sigaction(SIGTERM, {0x43d7b0, [], 0x4000000},
{0x43b6f0, [], 0x4000000}, 8) = 0
[pid  8654] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x430330, [],
0x4000000}, 8) = 0
[pid  8654] open("/tmp/man.xz8653", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 3
[pid  8654] dup2(3, 1)                  = 1
[pid  8654] close(3)                    = 0
[pid  8654] execve("/bin/cat", ["cat"], [/* 26 vars */]) = 0
[pid  8654] uname({sys="Linux", node="skip.harddata.net", ...}) = 0
[pid  8654] brk(0)                      = 0x505000
[pid  8654] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a9556a000
[pid  8654] open("/etc/ld.so.preload", O_RDONLY) = -1 ENOENT (No such
file or directory)
[pid  8654] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid  8654] fstat(3, {st_mode=S_IFREG|0644, st_size=123613, ...}) = 0
[pid  8654] mmap(NULL, 123613, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a9556b000
[pid  8654] close(3)                    = 0
[pid  8654] open("/lib64/tls/libc.so.6", O_RDONLY) = 3
[pid  8654] read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\315\1\0"..., 640) = 640
[pid  8654] lseek(3, 624, SEEK_SET)     = 624
[pid  8654] read(3,
"\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"..., 32) = 32
[pid  8654] fstat(3, {st_mode=S_IFREG|0755, st_size=2479360, ...}) = 0
[pid  8654] mmap(NULL, 2137864, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3,
0) = 0x2a95658000
[pid  8654] mprotect(0x2a95794000, 843528, PROT_NONE) = 0
[pid  8654] mmap(0x2a95858000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x200000) = 0x2a95858000
[pid  8654] mmap(0x2a9585e000, 16136, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a9585e000
[pid  8654] close(3)                    = 0
[pid  8654] mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2a95862000
[pid  8654] mprotect(0x2a95858000, 16384, PROT_READ) = 0
[pid  8654] mprotect(0x2a95656000, 4096, PROT_READ) = 0
[pid  8654] arch_prctl(0x1002, 0x2a958624c0) = 0
[pid  8654] munmap(0x2a9556b000, 123613) = 0
[pid  8654] brk(0)                      = 0x505000
[pid  8654] brk(0x526000)               = 0x526000
[pid  8654] brk(0)                      = 0x526000
[pid  8654] open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
[pid  8654] fstat(3, {st_mode=S_IFREG|0644, st_size=40112176, ...}) = 0
[pid  8654] mmap(NULL, 40112176, PROT_READ, MAP_PRIVATE, 3, 0) =
0x2a95863000
[pid  8654] close(3)                    = 0
[pid  8654] fstat(1, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
[pid  8654] fstat(0, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 2),
...}) = 0
[pid  8654] read(0,  <unfinished ...>
[pid  8646] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8646] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8646] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid  8646] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid  8646] rt_sigaction(SIGINT, {0x42f4a0, [], 0x4000000}, {0x43b6f0,
[], 0x4000000}, 8) = 0
[pid  8646] wait4(-1, Process 8646 suspended
 <unfinished ...>
Process 8646 resumed
Process 8654 detached
XXX
XXX WARNING: old character encoding and/or character set
XXX
/usr/bin/iconv: cannot open input file `/tmp/man.xz8653': No such file
or directory
Comment 1 Ivan Gyurdiev 2004-02-24 10:47:34 EST
Verified.

27616 pts/0    00:00:00     bash
27770 pts/0    00:00:00       su
27774 pts/0    00:00:00         bash
 4398 pts/0    00:00:00           buildall
 4405 pts/0    00:00:00             rpmbuild
 4565 pts/0    00:00:00               sh
 4575 pts/0    00:00:05                 configure
20637 pts/0    00:00:00                   nroff
20645 pts/0    00:00:00                     cat
20646 pts/0    00:00:00                   grep
 4406 pts/0    00:00:00             tee

This breaks the following SRPMS:

cups-1.1.20-4.src.rpm
dhcp-3.0.1rc12-2.src.rpm
fltk-1.1.4-0.fdr.8.1.90.src.rpm
krbafs-1.2.2-2.src.rpm
mgetty-1.1.30-6.src.rpm
nasm-0.98.38-2.src.rpm
openssh-3.6.1p2-28.src.rpm
ruby-1.8.1-2.src.rpm
tcsh-6.12-8.src.rpm
xboard-4.2.7-3.src.rpm
Comment 2 Reuben Farrelly 2004-02-25 03:21:46 EST
Also observing the same broken behaviour here..
Comment 3 Thomas Woerner 2004-02-25 06:06:01 EST
Fixed in rawhide in rpm groff-1.18.1-32 or newer.
Comment 4 Thomas Woerner 2004-02-25 08:36:24 EST
*** Bug 116804 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.